@import 'https://unpkg.com/flickity@2/dist/flickity.min.css';

/* overwrittes of the flickity dependency */
.flickity-slider {
	display: flex;
	justify-content: center;
	align-content: center;
	align-items: center;
}
.flickity-viewport {
	transition: height 300ms ease-in;
}

/* a gallery widget */
.Gallery {
	overflow: hidden;
	opacity: 0;
	transition: opacity 550ms ease-in-out;
}
.Gallery.flickity-enabled {
	overflow: auto;
	width: auto;
	opacity: 1;
}
.Gallery-media {
	display: flex;
	align-items: center;
	padding: 3vh;
}
.Gallery-image {
	max-height: 80vh;
}

.Gallery-slide {
	margin-bottom: 0;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	width: 100%;

	min-height: 80vh;
	max-height: 100vh;

	opacity: 0;
	transition: opacity 450ms var(--ease-exponential);
}
.Gallery-slide.is-selected {
	max-height: auto;
	opacity: 1;
}
.Gallery-meta {
	display: flex;
	flex-direction: column;
	align-items: center;
	width: 100%;
	max-width: var(--size-container-text);
}
.Gallery-caption {
	opacity: 0;
	transition: opacity 400ms 300ms ease-in-out;
}
.Gallery-description {
	opacity: 0;
	transition: opacity 500ms 1000ms ease-in;
	width: 100%;
	padding: var(--size);
	max-width: var(--size-container-text);
}

.Gallery-slide.is-selected .Gallery-caption,
.Gallery-slide.is-selected .Gallery-description {
	opacity: 1;
	display: block;
}

/* gallery buttons */
.GalleryButtons {
	display: flex;
	justify-content: center;
	padding: 0.3rem;
}
.GalleryButtons-button {
	background-color: transparent;
	border-color: transparent;
	cursor: pointer;
}
.GalleryButtons-button:hover {
	font-weight: bold;
}

/* gallery controls */
.GalleryControls {
	width: 100%;
}
.GalleryControls-slide {
	width: 100%;
	display: flex;
	flex-direction: column;
	align-items: center;
	opacity: 0.2;
	transition: opacity 600ms var(--ease-exponential) 155ms;
}
.GalleryControls-slide.is-selected {
	opacity: 1;
}
.GalleryControls-meta {
	padding: var(--size);
	max-width: calc(var(--size-container-text) / 2);
}
.GalleryControls-caption {
	margin-bottom: calc(var(--size) / 2);
	font-weight: bold;
}
